Plank.PositionManager.update_draw_values – plank Reference Manual

# update_draw_values

## Description:

public void update_draw_values (ArrayList<unowned DockItem> items, DrawValueFunc? func = null, DrawValuesFunc? post_func = null)

Update and recalculated all internal draw-values using the given methodes for custom manipulations.

## Parameters:

items | the ordered list of all current item which are suppose to be shown on the dock
func | a function which adjusts the draw-value per item
post_func | a function which post-processes all draw-values